package com.glxp.udidl.admin.config;

import lombok.Data;
import org.springframework.beans.factory.annotation.Value;
import org.springframework.stereotype.Component;

@Component
@Data
public class GlobalConfig {

    @Value("${config.downloadPath}")
    private String downloadPath;

    /**
     * 是否开启权限验证
     */
    @Value("${config.openAuth}")
    private boolean openAuth;

    /**
     * 阳光采购平台地址
     */
    @Value("${udplat.host}")
    private String udplat_host;
    @Value("${udplat.appId}")
    private String udplat_appId;
    @Value("${udplat.secretKey}")
    private String udplat_secretKey;
    @Value("${udplat.userName}")
    private String udplat_userName;
}
