package com.glxp.udidl.admin.constant;

/**
 * 业务常量
 */
public interface Constant {

    /**
     * 下载类型 - 手动下载
     */
    String DOWNLOAD_TYPE_MANUAL = "manual";

    /**
     * 下载类型 - 自动下载
     */
    String DOWNLOAD_TYPE_AUTO = "auto";

    /**
     * 日志类型 - SUCCESS
     */
    String LOG_TYPE_SUCCESS = "success";

    /**
     * 日志类型 - INFO
     */
    String LOG_TYPE_INFO = "info";

    /**
     * 日志类型 - INFO
     */
    String LOG_TYPE_WARNING = "warning";

    /**
     * 日志类型 - INFO
     */
    String LOG_TYPE_ERROR = "error";

    /**
     * 任务类型 - 下载任务
     */
    Integer TASK_TYPE_DOWNLOAD = 0;

    /**
     * 任务类型 - 更新任务
     */
    Integer TASK_TYPE_UPDATE = 1;

    /**
     * 日志任务类型 - 下载任务
     */
    String JOB_TASK_TYPE_DOWNLOAD = "download";

    /**
     * 日志任务类型 - 更新任务
     */
    String JOB_TASK_TYPE_UPDATE = "update";


    int DL_TYPE_ADD = 1;
    int DL_TYPE_UPDATE = 2;

}

