package com.glxp.udidl.admin.dao.udid;

import com.baomidou.mybatisplus.core.mapper.BaseMapper;
import com.glxp.udidl.admin.entity.udid.Deviceclinical;
import com.glxp.udidl.admin.entity.udid.DeviceclinicalExample;
import com.glxp.udidl.admin.req.DownloadUdiRequest;
import org.apache.ibatis.annotations.Mapper;
import org.apache.ibatis.annotations.Param;

import java.util.List;

@Mapper
public interface DeviceclinicalMapper extends BaseMapper<Deviceclinical> {

    long countByExample(DeviceclinicalExample example);

    int deleteByExample(DeviceclinicalExample example);

    int deleteByPrimaryKey(Integer id);

    int insert(Deviceclinical record);

    int insertSelective(Deviceclinical record);

    List<Deviceclinical> selectByExample(DeviceclinicalExample example);

    Deviceclinical selectByPrimaryKey(Integer id);

    int updateByExampleSelective(@Param("record") Deviceclinical record, @Param("example") DeviceclinicalExample example);

    int updateByExample(@Param("record") Deviceclinical record, @Param("example") DeviceclinicalExample example);

    int updateByPrimaryKeySelective(Deviceclinical record);

    int updateByPrimaryKey(Deviceclinical record);

    List<Deviceclinical> downloadDeviceclinical(DownloadUdiRequest downloadUdiRequest);

    void update(Deviceclinical deviceclinical);

    int deleteByUuid(@Param("uuid") String uuid);
}