package com.glxp.udidl.admin.dao.udplat;


import com.baomidou.mybatisplus.core.mapper.BaseMapper;
import com.glxp.udidl.admin.dto.udplat.BaseParam;
import com.glxp.udidl.admin.dto.udplat.UnitsListModel;
import com.glxp.udidl.admin.entity.udplat.UdplatDistributor;
import org.apache.ibatis.annotations.Mapper;
import org.apache.ibatis.annotations.Param;

import java.util.List;

@Mapper
public interface UdplatDistributorMapper extends BaseMapper<UdplatDistributor> {

    int deleteByPrimaryKey(Integer id);

    int insert(UdplatDistributor record);

    UdplatDistributor selectByPrimaryKey(Integer id);

    List<UdplatDistributor> selectAll();

    int updateByPrimaryKey(UdplatDistributor record);

    List<UdplatDistributor> list(BaseParam param);

    UdplatDistributor selectByDistributorId(String id);

    List<UnitsListModel> getUnitsList(@Param("key") String key);
}