package com.glxp.udidl.admin.dao.udplat;

import com.baomidou.mybatisplus.core.mapper.BaseMapper;
import com.glxp.udidl.admin.dto.device.ProductGoodsMatchModel;
import com.glxp.udidl.admin.dto.udplat.UdplatGoodsMatchListModel;
import com.glxp.udidl.admin.dto.udplat.UdplatGoodsMatchParam;
import com.glxp.udidl.admin.entity.udplat.UdplatGoodsMatch;
import org.apache.ibatis.annotations.Mapper;

import java.util.List;

@Mapper
public interface UdplatGoodsMatchMapper extends BaseMapper<UdplatGoodsMatch> {

    int deleteByPrimaryKey(Integer id);

    int insert(UdplatGoodsMatch record);

    UdplatGoodsMatch selectByPrimaryKey(Integer id);

    List<UdplatGoodsMatch> selectAll();

    int updateByPrimaryKey(UdplatGoodsMatch record);

    UdplatGoodsMatch selectByDeviceRecordKey(String id);

    List<UdplatGoodsMatchListModel> getList(UdplatGoodsMatchParam param);

    List<ProductGoodsMatchModel> getMatchList(String uuid);
}