package com.glxp.udidl.admin.dto.sys;

import lombok.Data;

import java.util.Date;
import java.util.List;

@Data
public class MenuTreeModel {
    /**
     * 编号
     */
    private Integer id;

    /**
     * 菜单名称
     */
    private String name;
    /**
     * 菜单类型M: 目录, C: 菜单,F: 资源
     */
    private String type;

    /**
     * 权限标识
     */
    private String perms;
    /**
     * 排序
     */
    private Integer sort;

    /**
     * 状态（0启用 1禁用）
     */
    private String status;

    /**
     * 创建时间
     */
    private Date createTime;
    private List<MenuTreeModel> children;
}
