package com.glxp.udidl.admin.dto.udplat;

import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;
import lombok.Data;

@Data
@ApiModel("阳光采购平台产品对照信息查询参数")
public class UdplatGoodsMatchParam extends BaseParam {

    @ApiModelProperty(value = "最小销售标识")
    private String nameCode;

    @ApiModelProperty(value = "udi码")
    private String udi;

    @ApiModelProperty(value = "注册、备案人名称(医疗器械注册人)")
    private String ylqxzcrbarmc;//注册/备案人名称(医疗器械注册人)

    @ApiModelProperty(value = "规格型号")
    private String ggxh;//规格型号

    @ApiModelProperty(value = "注册、备案证号")
    private String zczbhhzbapzbh;//注册/备案证号

    @ApiModelProperty(value = "产品目录 0:全部 1:已对照  2：未对照")
    private int goodsMatchType;//产品目录 0:全部 1:已对照  2：未对照

    @ApiModelProperty(value = "医保编码 0:全部 1:已对照  2：未对照")
    private int medicalMatchType;//医保编码 0:全部 1:已对照  2：未对照
}
