package com.glxp.udidl.admin.entity.sys;

import com.baomidou.mybatisplus.annotation.TableField;
import com.baomidou.mybatisplus.annotation.TableId;
import com.baomidou.mybatisplus.annotation.TableName;
import lombok.Data;

import java.util.Date;

@Data
@TableName("sys_menu")
public class SysMenu {

    /**
     * 编号
     */
    @TableId
    private Integer id;

    /**
     * 接口分类/接口 名称
     */
    private String name;

    /**
     * 接口地址
     */
    private String path;

    /**
     * 父菜单ID
     */
    @TableField(value = "parent_id")
    private Integer parentId;

    /**
     * 菜单类型M: 目录, C: 菜单,F: 资源
     */
    private String type;

    /**
     * 权限标识
     */
    private String perms;

    /**
     * 状态（0启用 1禁用）
     */
    private String status;

    /**
     * 创建时间
     */
    @TableField(value = "create_time")
    private Date createTime;

    /**
     * 更新时间
     */
    @TableField(value = "update_time")
    private Date updateTime;

    /**
     * 接口文档地址
     */
    @TableField(value = "doc_url")
    private String docUrl;

    /**
     * 备注
     */
    private String remark;

}