package com.glxp.udidl.admin.entity.sys;

import com.baomidou.mybatisplus.annotation.TableId;
import com.baomidou.mybatisplus.annotation.TableName;
import com.fasterxml.jackson.annotation.JsonFormat;
import lombok.Data;

import java.util.Date;

@Data
@TableName("sys_user")
public class SysUser {

    /**
     * 用户ID
     */
    @TableId
    private Integer id;

    /**
     * 应用名称
     */
    private String appId;

    /**
     * 秘钥
     */
    private String appSecret;

    /**
     * 状态（0启用 1禁用）
     */
    private String status;

    /**
     * 角色ID
     */
    private Integer roleId;

    /**
     * 创建时间
     */
    @JsonFormat(pattern = "yyyy-MM-dd HH:mm:ss", timezone = "GMT+8")
    private Date createTime;

    /**
     * 备注
     */
    private String remark;

    /**
     * 上次请求的IP
     */
    private String lastRequestIp;


    /**
     * 修改时间
     */
    @JsonFormat(pattern = "yyyy-MM-dd HH:mm:ss", timezone = "GMT+8")
    private Date updateTime;

}