package com.glxp.udidl.admin.entity.udplat;

import com.fasterxml.jackson.annotation.JsonFormat;
import lombok.Data;

import java.util.Date;

/**
 * 产品，配送目录，医保对照表
 *
 * @author hong
 * @date 2022/01/19
 */
@Data
public class UdplatGoodsMatch {
    /**
     *
     */
    private Integer id;

    /**
     * 产品ID
     */
    private String deviceRecordKey;

    /**
     * 目录编码ID
     */
    private String deliveryGoodsId;

    /**
     * 医保编码
     */
    private String medicalCode;

    /**
     * 创建时间
     */
    @JsonFormat(pattern = "yyyy-MM-dd HH:mm:ss", timezone = "GMT+8")
    private Date createTime;

    /**
     * 修改时间
     */
    @JsonFormat(pattern = "yyyy-MM-dd HH:mm:ss", timezone = "GMT+8")
    private Date updateTime;


}