package com.glxp.udidl.admin.req;

import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;
import lombok.Data;

@Data
@ApiModel(value = "查询企业信息参数")
public class UdiCompanyRequest extends ListPageRequest {

    @ApiModelProperty(value = "注册、备案人名称(医疗器械注册人)")
    private String ylqxzcrbarmc;

    @ApiModelProperty(value = "统一社会信用代码")
    private String tyshxydm;

    @ApiModelProperty(value = "省份代码")
    private String provinceCode;

    @ApiModelProperty(value = "城市代码")
    private String cityCode;

    @ApiModelProperty(value = "区域代码")
    private String areaCode;

    @ApiModelProperty(value = "更新时间")
    private String updateTime;

    //    产品DI当前页
    private Integer diPage;
}
