package com.glxp.udidl.admin.req.auth;

import lombok.Data;

import javax.validation.constraints.NotEmpty;

@Data
public class PCLoginRequest {

    @NotEmpty(message = "用户名不能为空")
    private String username;

    @NotEmpty(message = "密码不能为空")
    private String password;

    @NotEmpty(message = "机器码不能为空")
    private String machineInfo;

}
