package com.glxp.udidl.admin.req.udid;

import com.alibaba.fastjson.annotation.JSONField;
import io.swagger.annotations.ApiModelProperty;
import lombok.Data;

@Data
public class TokenRequest {
    @ApiModelProperty(value = "应用码", required = true)
    private String appId;
    @ApiModelProperty(value = "应用授权码", required = true)
    private String appSecret;
    @ApiModelProperty(value = "统一社会信用代码", required = true)
    @JSONField(name = "TYSHXYDM")
    private String tyshxydm;//统一社会信用代码 必须大写
}
