package com.glxp.udidl.admin.res;

import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;
import lombok.Data;

import java.util.List;

/**
 * 简单的分页返回对象
 */
@Data
@ApiModel(value = "分页对象")
public class PageSimpleResponse<T> {
    // 总数
    @ApiModelProperty(value = "总数", position = 0)
    private Long total;
    // 列表
    @ApiModelProperty(value = "列表", position = 1)
    private List<T> list;
}
