package com.glxp.udidl.admin.service.auth;


import com.glxp.udidl.admin.entity.auth.AuthAdmin;
import com.glxp.udidl.admin.req.auth.AuthAdminQueryRequest;

import java.util.List;

public interface AuthAdminService {

    List<AuthAdmin> listAdminPage(AuthAdminQueryRequest authAdminQueryRequest);

    AuthAdmin findByUserName(String userName);


    AuthAdmin findById(Long id);


    AuthAdmin findPwdById(Long id);

    boolean insertAuthAdmin(AuthAdmin authAdmin);

    boolean updateAuthAdmin(AuthAdmin authAdmin);

    boolean deleteById(Long id);

    /**
     * 获取医院用户列表
     *
     * @return
     */
    List<AuthAdmin> getHospitalUserList();
}
