package com.glxp.udidl.admin.service.udi;

import com.glxp.udidl.admin.entity.udi.UdiCompanyEntity;
import com.glxp.udidl.admin.entity.udid.Contactlist;
import com.glxp.udidl.admin.req.UdiCompanyRequest;
import com.glxp.udidl.admin.res.BaseResponse;

import java.util.List;

public interface UdiCompanyService {

    List<UdiCompanyEntity> selectAllTyshxyh();

    List<Contactlist> selectContactBykey(String deviceRecordKey);

    List<UdiCompanyEntity> filterUdiCompany(UdiCompanyRequest udiCompanyRequest);

    boolean insertUdiCompany(UdiCompanyEntity udiCompanyEntity);

    boolean insertUdiCompanys(List<UdiCompanyEntity> udiCompanyEntities);

    boolean deleteById(String id);

    boolean deleteAll(List<String> ids);

    boolean updateUdiCompany(UdiCompanyEntity udiCompanyEntity);

    BaseResponse searchByName(String name);//公司名称搜索

    List<UdiCompanyEntity> syncDlCompany(UdiCompanyRequest udiCompanyRequest);
}
