package com.glxp.udidl.admin.service.udi.impl;

import cn.hutool.core.collection.CollUtil;
import com.baomidou.mybatisplus.core.conditions.query.QueryWrapper;
import com.glxp.udidl.admin.dao.udi.ProductClassifyMapper;
import com.glxp.udidl.admin.entity.udi.ProductClassify;
import com.glxp.udidl.admin.service.udi.ProductClassifyService;
import org.springframework.stereotype.Service;

import javax.annotation.Resource;
import java.util.List;

@Service
public class ProductClassifyServiceImpl implements ProductClassifyService {

    @Resource
    ProductClassifyMapper productClassifyMapper;

    @Override
    public ProductClassify findByCode(String code, String qxlb) {

        List<ProductClassify> productClassifyList = productClassifyMapper.selectList(new QueryWrapper<ProductClassify>().eq("code", code).eq("qxlb", qxlb));
        if (CollUtil.isNotEmpty(productClassifyList)) {
            productClassifyList.get(0);
        }
        return new ProductClassify();

    }
}
