package com.glxp.udidl.admin.util;

import com.glxp.udidl.admin.entity.udid.*;
import com.glxp.udidl.admin.res.udid.DataSetBean;

public class WarehousBeanUtils {


    public static Device responseToDevice(DataSetBean dataSetBean) {
        Device device = new Device();
        device.setDevicehistoryrecordkey(dataSetBean.getDeviceHistoryRecordKey());
        device.setDevicerecordkey(dataSetBean.getDeviceRecordKey());
        device.setBtcpbs(dataSetBean.getBtcpbs());
        device.setBtcpbsyzxxsdycpbssfyz(dataSetBean.getBtcpbsyzxxsdycpbssfyz());
        device.setCgzmraqxgxx(dataSetBean.getCgzmraqxgxx());
        device.setCpbsbmtxmc(dataSetBean.getCpbsbmtxmc());
        device.setCpbsfbrq(dataSetBean.getCpbsfbrq());
        device.setCphhhbh(dataSetBean.getCphhhbh());
        device.setCplb(dataSetBean.getCplb());
        device.setCpmctymc(dataSetBean.getCpmctymc());
        device.setCpms(dataSetBean.getCpms());
        device.setFlbm(dataSetBean.getFlbm());
        device.setGgxh(dataSetBean.getGgxh());
        device.setMjfs(dataSetBean.getMjfs());
        device.setQtxxdwzlj(dataSetBean.getQtxxdwzlj());
        device.setQxlb(dataSetBean.getQxlb());
        device.setScbssfbhph(dataSetBean.getScbssfbhph());
        device.setScbssfbhscrq(dataSetBean.getScbssfbhscrq());
        device.setScbssfbhsxrq(dataSetBean.getScbssfbhsxrq());
        device.setScbssfbhxlh(dataSetBean.getScbssfbhxlh());
        device.setSfbjwycxsy(dataSetBean.getSfbjwycxsy());
        device.setSfwblztlcp(dataSetBean.getSfwblztlcp());
        device.setSfwwjbz(dataSetBean.getSfwwjbz());
        device.setSfybtzjbs(dataSetBean.getSfybtzjbs());
        device.setSpmc(dataSetBean.getSpmc());
        device.setSydycpbs(dataSetBean.getSydycpbs());
        device.setSyqsfxyjxmj(dataSetBean.getSyqsfxyjxmj());
        device.setTscchcztj(dataSetBean.getTscchcztj());
        device.setTsccsm(dataSetBean.getTsccsm());
        device.setTsrq(dataSetBean.getTsrq());
        device.setTyshxydm(dataSetBean.getTyshxydm());
        device.setVersionnumber(dataSetBean.getVersionNumber() + "");
        device.setVersionstatus(dataSetBean.getVersionStatus());
        device.setVersiontime(dataSetBean.getVersionTime());
        device.setYbbm(dataSetBean.getYbbm());
        device.setYlqxzcrbarmc(dataSetBean.getYlqxzcrbarmc());
        device.setYlqxzcrbarywmc(dataSetBean.getYlqxzcrbarywmc());
        device.setZczbhhzbapzbh(dataSetBean.getZczbhhzbapzbh());
        device.setZdcfsycs(dataSetBean.getZdcfsycs());
        device.setYflbm(dataSetBean.getYflbm());
        device.setZxxsdycpbs(dataSetBean.getZxxsdycpbs());
        device.setBszt(dataSetBean.getBszt());
        device.setSfyzcbayz(dataSetBean.getSfyzcbayz());
        device.setZcbacpbs(dataSetBean.getZcbacpbs());
        device.setZxxsdyzsydydsl(dataSetBean.getZxxsdyzsydydsl());
        device.setBssjzt(dataSetBean.getBssjzt());
        return device;
    }

    public static Contactlist responseToContactlist(DataSetBean.ContactListBean contactListBean) {
        Contactlist contactlist = new Contactlist();
        contactlist.setQylxrcz(contactListBean.getQylxrcz());
        contactlist.setQylxrdh(contactListBean.getQylxrdh());
        contactlist.setQylxryx(contactListBean.getQylxryx());
        return contactlist;
    }

    public static Deviceclinical responseToDeviceclinical(DataSetBean.DeviceClinicalBean deviceClinicalBean) {
        Deviceclinical deviceclinical = new Deviceclinical();
        deviceclinical.setLcsycclx(deviceClinicalBean.getLcsycclx());
        deviceclinical.setCcz(deviceClinicalBean.getCcz());
        deviceclinical.setCcdw(deviceClinicalBean.getCcdw());
        return deviceclinical;
    }

    public static Devicepackage responseToDevicepackage(DataSetBean.DevicePackageBean devicePackageBean) {
        Devicepackage devicepackage = new Devicepackage();
        devicepackage.setBzcpbs(devicePackageBean.getBzcpbs());
        devicepackage.setBznhxyjbzcpbs(devicePackageBean.getBznhxyjbzcpbs());
        devicepackage.setCpbzjb(devicePackageBean.getCpbzjb());
        devicepackage.setBznhxyjcpbssl(Integer.parseInt(devicePackageBean.getBznhxyjcpbssl()));
        return devicepackage;
    }

    public static Devicestorage responseToDevicestorage(DataSetBean.DeviceStorageBean deviceStorageBean) {
        Devicestorage devicestorage = new Devicestorage();
        devicestorage.setCchcztj(deviceStorageBean.getCchcztj());
        devicestorage.setJldw(deviceStorageBean.getJldw());
        devicestorage.setZgz(deviceStorageBean.getZgz());
        devicestorage.setZdz(deviceStorageBean.getZdz());
        return devicestorage;
    }
}
