package com.glxp.udidl.admin.controller.device;

import com.glxp.udidl.admin.thread.UdiCompanyTask;
import org.springframework.web.bind.annotation.GetMapping;
import org.springframework.web.bind.annotation.RestController;
import springfox.documentation.annotations.ApiIgnore;

import javax.annotation.Resource;

//udi更新
@ApiIgnore
@RestController
public class TestCompanyUdiController {

    @Resource
    private UdiCompanyTask udiCompanyService;

    @GetMapping("udidl/udi/transferAll")
    public void transferAll() {
        udiCompanyService.transAll();
    }

    //新增版本记录 转换
    @GetMapping("udidl/udi/isNewest")
    public void transferIsNewest() {
        udiCompanyService.transNewest();
    }

    @GetMapping("udidl/udi/isNewesttyshxyh")
    public void transferIsNewesttyshxyh(String tyshxyh) {
        udiCompanyService.transNewestByTyshxy(tyshxyh);
    }


}
