package com.glxp.udidl.admin.dao.udi;

import com.baomidou.mybatisplus.core.mapper.BaseMapper;
import com.glxp.udidl.admin.entity.udi.UdiCompanyEntity;
import com.glxp.udidl.admin.entity.udid.Contactlist;
import com.glxp.udidl.admin.req.UdiCompanyRequest;
import org.apache.ibatis.annotations.Mapper;
import org.apache.ibatis.annotations.Param;

import java.util.List;

@Mapper
public interface UdiCompanyMapper extends BaseMapper<UdiCompanyEntity> {

    List<UdiCompanyEntity> selectAllTyshxyh();

    List<Contactlist> selectContactBykey(@Param("deviceRecordKey") String deviceRecordKey);

    List<UdiCompanyEntity> filterUdiCompany(UdiCompanyRequest udiCompanyRequest);

    boolean insertUdiCompany(UdiCompanyEntity udiCompanyEntity);

    boolean insertUdiCompanys(@Param("udiCompanyEntities") List<UdiCompanyEntity> udiCompanyEntities);

    boolean deleteById(@Param("id") String id);

    boolean deleteAll(@Param("ids") List<String> ids);

    boolean updateUdiCompany(UdiCompanyEntity udiCompanyEntity);

    List<String> searchByName(String name);//公司名称搜索

    List<UdiCompanyEntity> syncDlCompany(UdiCompanyRequest udiCompanyRequest);

}
