package com.glxp.udidl.admin.dao.udid;

import com.baomidou.mybatisplus.core.mapper.BaseMapper;
import com.glxp.udidl.admin.entity.udid.Contactlist;
import com.glxp.udidl.admin.entity.udid.ContactlistExample;
import com.glxp.udidl.admin.req.DlConnactRequest;
import com.glxp.udidl.admin.req.DownloadUdiRequest;
import org.apache.ibatis.annotations.Mapper;
import org.apache.ibatis.annotations.Param;

import java.util.List;

@Mapper
public interface ContactlistMapper extends BaseMapper<Contactlist> {

    long countByExample(ContactlistExample example);

    int deleteByExample(ContactlistExample example);

    int deleteByPrimaryKey(Integer id);

    int insert(Contactlist record);

    int insertSelective(Contactlist record);

    List<Contactlist> selectByExample(ContactlistExample example);

    Contactlist selectByPrimaryKey(Integer id);

    int updateByExampleSelective(@Param("record") Contactlist record, @Param("example") ContactlistExample example);

    int updateByExample(@Param("record") Contactlist record, @Param("example") ContactlistExample example);

    int updateByPrimaryKeySelective(Contactlist record);

    int updateByPrimaryKey(Contactlist record);

    List<Contactlist> downloadContactlist(DownloadUdiRequest downloadUdiRequest);

    List<Contactlist> dlConnacts(DlConnactRequest dlConnactRequest);

    void update(Contactlist contactlist);

    int deleteByUuid(@Param("uuid") String uuid);
}