package com.glxp.udidl.admin.dao.udid;

import com.baomidou.mybatisplus.core.mapper.BaseMapper;
import com.glxp.udidl.admin.entity.udid.Device;
import com.glxp.udidl.admin.entity.udid.DeviceExample;
import com.glxp.udidl.admin.req.DownloadUdiRequest;
import com.glxp.udidl.admin.req.ListPageRequest;
import com.glxp.udidl.admin.req.udid.DeviceListRequest;
import com.glxp.udidl.admin.req.udid.DeviceSearchRequest;
import org.apache.ibatis.annotations.Mapper;
import org.apache.ibatis.annotations.Param;

import java.util.List;

@Mapper
public interface DeviceMapper extends BaseMapper<Device> {

    long countByExample(DeviceExample example);

    int deleteByExample(DeviceExample example);

    int deleteByPrimaryKey(String uuid);


    int insertSelective(Device record);

    List<Device> selectByExample(DeviceExample example);

    Device selectByPrimaryKey(String uuid);

    int updateByExampleSelective(@Param("record") Device record, @Param("example") DeviceExample example);

    int updateByExample(@Param("record") Device record, @Param("example") DeviceExample example);

    int updateByPrimaryKeySelective(Device record);

    int updateByPrimaryKey(Device record);

    List<Device> searchBykey(DeviceListRequest deviceListRequest);

    Device searchByBs(@Param("zxxsdycpbs") String zzxsbs);

    List<Device> search(DeviceSearchRequest deviceSearchRequest);

    long getTotal(DeviceSearchRequest deviceListRequest);

    boolean deleteHistory(@Param("deviceRecordKey") String deviceRecordKey);

    Device searchByDeviceRecordKey(@Param("deviceRecordKey") String deviceRecordKey);

    Device searchByZxxscpbs(@Param("zxxsdycpbs") String zxxsdycpbs);

    List<Device> searchHistory(@Param("deviceRecordKey") String deviceRecordKey);

    String selectisSame(@Param("deviceRecordKey") String deviceRecordKey, @Param("versionNumber") String versionNumber);

    Device selectDiIsSame(@Param("zxxsdycpbs") String zxxsdycpbs, @Param("versionNumber") String versionNumber);

    String selectKey(@Param("zxxsdycpbs") String zxxsdycpbs);

    List<Device> downloadDevice(DownloadUdiRequest downloadUdiRequest);

    List<String> findAllByZxxscpbs();

    List<String> findAllByZxxscpbsPage(ListPageRequest listPageRequest);

    boolean updateCplx(Device device);

    void updateDevice(Device device);

    List<Device>  selectNew();

}
