package com.glxp.udidl.admin.dao.udid;

import com.baomidou.mybatisplus.core.mapper.BaseMapper;
import com.glxp.udidl.admin.entity.udid.Devicepackage;
import com.glxp.udidl.admin.entity.udid.DevicepackageExample;
import com.glxp.udidl.admin.req.DownloadUdiRequest;
import org.apache.ibatis.annotations.Mapper;
import org.apache.ibatis.annotations.Param;

import java.util.List;

@Mapper
public interface DevicepackageMapper extends BaseMapper<Devicepackage> {

    long countByExample(DevicepackageExample example);

    int deleteByExample(DevicepackageExample example);

    int deleteByPrimaryKey(Integer id);

    int insert(Devicepackage record);

    int insertSelective(Devicepackage record);

    List<Devicepackage> selectByExample(DevicepackageExample example);

    Devicepackage selectByPrimaryKey(Integer id);

    int updateByExampleSelective(@Param("record") Devicepackage record, @Param("example") DevicepackageExample example);

    int updateByExample(@Param("record") Devicepackage record, @Param("example") DevicepackageExample example);

    int updateByPrimaryKeySelective(Devicepackage record);

    int updateByPrimaryKey(Devicepackage record);

    List<Devicepackage> downloadDevicepackage(DownloadUdiRequest downloadUdiRequest);

    void update(Devicepackage devicepackage);

    int deleteByUuid(@Param("uuid") String uuid);
}