package com.glxp.udidl.admin.dao.udid;

import com.baomidou.mybatisplus.core.mapper.BaseMapper;
import com.glxp.udidl.admin.entity.udid.Devicestorage;
import com.glxp.udidl.admin.entity.udid.DevicestorageExample;
import com.glxp.udidl.admin.req.DownloadUdiRequest;
import org.apache.ibatis.annotations.Mapper;
import org.apache.ibatis.annotations.Param;

import java.util.List;

@Mapper
public interface DevicestorageMapper extends BaseMapper<Devicestorage> {

    long countByExample(DevicestorageExample example);

    int deleteByExample(DevicestorageExample example);

    int deleteByPrimaryKey(Integer id);

    int insert(Devicestorage record);

    int insertSelective(Devicestorage record);

    List<Devicestorage> selectByExample(DevicestorageExample example);

    Devicestorage selectByPrimaryKey(Integer id);

    int updateByExampleSelective(@Param("record") Devicestorage record, @Param("example") DevicestorageExample example);

    int updateByExample(@Param("record") Devicestorage record, @Param("example") DevicestorageExample example);

    int updateByPrimaryKeySelective(Devicestorage record);

    int updateByPrimaryKey(Devicestorage record);

    List<Devicestorage> downloadDevicestorage(DownloadUdiRequest downloadUdiRequest);

    void update(Devicestorage devicestorage);

    int deleteByUuid(@Param("uuid") String uuid);
}