package com.glxp.udidl.admin.dao.udplat;

import com.baomidou.mybatisplus.core.mapper.BaseMapper;
import com.glxp.udidl.admin.dto.udplat.ProductListModel;
import com.glxp.udidl.admin.dto.udplat.ProductParam;
import com.glxp.udidl.admin.dto.udplat.UdplatGoodsParam;
import com.glxp.udidl.admin.entity.udplat.UdplatGoods;
import org.apache.ibatis.annotations.Mapper;

import java.util.List;

@Mapper
public interface UdplatGoodsMapper extends BaseMapper<UdplatGoods> {

    int deleteByPrimaryKey(Long id);

    int insert(UdplatGoods record);

    UdplatGoods selectByGoodsId(String deliveryGoodId);

    UdplatGoods selectByProjectGoodsCode(String projectGoodsCode);

    UdplatGoods selectById(Integer id);

    List<UdplatGoods> selectAll();

    int update(UdplatGoods record);

    List<UdplatGoods> list(UdplatGoodsParam param);

    List<ProductListModel> getProducts(ProductParam param);
}
