package com.glxp.udidl.admin.dto.sys;

import lombok.Data;

/**
 * 菜单功能维护实体
 */
@Data
public class SysMenuModel {
    /**
     * 编号
     */
    private Integer id;

    /**
     * 菜单名称
     */
    private String name;

    /**
     * 接口地址
     */
    private String path;

    /**
     * 接口文档地址
     */
    private String docUrl;

    /**
     * 父菜单ID
     */
    private Integer parentId;

    /**
     * 菜单类型M: 目录, C: 菜单,F: 资源
     */
    private String type;

    /**
     * 权限标识
     */
    private String perms;

    /**
     * 状态（0启用 1禁用）
     */
    private String status;

    /**
     * 备注
     */
    private String remark;
}
