package com.glxp.udidl.admin.dto.sys;

import com.fasterxml.jackson.annotation.JsonFormat;
import lombok.Data;

import java.util.Date;

@Data
public class SysUserModel {
    /**
     * 用户ID
     */
    private Integer id;

    /**
     * 应用名称
     */
    private String appId;

    /**
     * 秘钥
     */
    private String appSecret;

    /**
     * 状态（0启用 1禁用）
     */
    private String status;


    /**
     * 角色ID
     */
    private Integer roleId;

    /**
     * 备注
     */
    private String remark;

    /**
     * 上次请求的IP
     */
    private String lastRequestIp;


    /**
     * 修改时间
     */
    @JsonFormat(pattern = "yyyy-MM-dd HH:mm:ss", timezone = "GMT+8")
    private Date updateTime;
}
