package com.glxp.udidl.admin.dto.udplat;

import com.glxp.udidl.admin.annotation.Excel;
import lombok.Data;

import java.util.Date;

@Data
public class DeliveryGoods {
    //private String deliveryGoodsId;//配送目录ID/bigint
    @Excel(name = "*采购平台产品ID")
    private String projectGoodsCode;//联采目录编码/varchar(50)
    /*private String deliveryGoodsCode;//配送目录编码/varchar(50)
    private long manufactureId;//平台生产企业ID/bigint(20)
    private String manufactureName;//平台生产企业名称/varchar(50)
    private long distributorId; //平台配送企业ID/bigint(20)
    private String distributorName;//平台配送企业名称/varchar(50)*/
    @Excel(name = "产品名称")
    private String productName; //产品通用名/varchar(255)
    //private Integer compId; //组件id/bigint
    @Excel(name = "型号")
    private String model;//型号/varchar(1000)
    @Excel(name = "规格")
    private String spec;//规格/varchar(1000)
    @Excel(name = "材质")
    private String prodMaterial;//材质/varchar(255)
    @Excel(name = "包材")
    private String packMaterial;//包材/varchar(255)
    @Excel(name = "注册证编号")
    private String regNum;//注册证编号/varchar(255)
    @Excel(name = "注册证名称")
    private String regName;//注册证名称/varchar(255)
    @Excel(name = "注册证有效期截止时间")
    private Date regValidTo;//注册证有效期截止时间/varchar(255)
    /* private long unionProjectId;//联采项目ID/bigint(20)
     private String unionProjectName;//采购项目名称/varchar(255)
     private double salePrice;//价格/decimal(18,4)
     private String priceUnitText;//价格单位/varchar(100)
     private double topSalePrice;//最高销售限价，可能为空/decimal(18,4)
     private double settlePayPrice;//医保支付标准，可能为空/varchar(255)
     private Integer goodsSource;*///数据来源/int(11)(取值：1.集中采购 2.耗材联采 3.医院HIS/医疗机构新增 4.备案采购 9. 阳光采购10. 新型冠状病毒相关检测试剂省级集中采购14. 限新冠病毒核酸快速检测采购使用)
    @Excel(name = "*缺货状态", convertExp = "1=有货,2=缺货")
    private String stockStatus;//缺货状态（1有货、2缺货）/int
    @Excel(name = "更新内容")
    private String changedContent;//更新内容
    @Excel(name = "更新时间")
    private Date changedTime;//更新时间
    //private String proxyName;//申报企业名称/ varchar(50)
    @Excel(name = "挂网状态")
    private Integer onlineStatus;//挂网状态  1挂网2挂网状态为空 6 撤销申报
    @Excel(name = "医用耗材代码")
    private String medicalCode;//医保编码
}
