package com.glxp.udidl.admin.dto.udplat;

import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;
import lombok.Data;

/**
 * 医疗机构批量增加导入实体
 */
@Data
@ApiModel(value = "医疗机构信息实体")
public class UdplatHospitalModel {

    /**
     * 医疗机构ID
     */
    @ApiModelProperty(value = "医疗机构ID")
    private String purchaseId;

    /**
     * 医疗机构编码
     */
    @ApiModelProperty(value = "医疗机构编码")
    private String purchaseCode;

    /**
     * 医疗机构名称
     */
    @ApiModelProperty(value = "医疗机构名称")
    private String purchaseName;

    /**
     * 医疗机构区域名称
     */
    @ApiModelProperty(value = "医疗机构区域名称")
    private String purchaseArea;

    /**
     * 医疗机构区域ID
     */
    @ApiModelProperty(value = "医疗机构区域ID")
    private String purchaseAreaId;
}
