package com.glxp.udidl.admin.entity.udi;

import com.github.xiaoymin.knife4j.annotations.Ignore;
import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;
import lombok.Data;

import java.util.Date;

@Data
@ApiModel(value = "企业信息实体")
public class UdiCompanyEntity {

    @ApiModelProperty(value = "企业id")
    private int id;

    @ApiModelProperty(value = "统一社会信用代码")
    private String tyshxydm;

    @ApiModelProperty(value = "医疗器械注册、备案人名称")
    private String ylqxzcrbarmc;

    @ApiModelProperty(value = "医疗器械注册、备案人英文名称")
    private String ylqxzcrbarywmc;

    @ApiModelProperty(value = "企业联系人电话")
    private String qylxrdh;

    @ApiModelProperty(value = "企业联系人传真")
    private String qylxrcz;

    @ApiModelProperty(value = "企业联系人邮箱")
    private String qylxryx;

    @ApiModelProperty(value = "")
    private String deviceRecordKey;

    @ApiModelProperty(value = "更新时间")
    private Date updateTime;
}
