package com.glxp.udidl.admin.req;

import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;
import lombok.Data;

@Data
@ApiModel(value = "查询企业相关产品信息")
public class FilterCompanyDiRequest extends ListPageRequest {


    @ApiModelProperty(value = "最小销售产品标识（DI）")
    private String nameCode;

    @ApiModelProperty(value = "国家库数据库记录key")
    private String deviceRecordKey;

    @ApiModelProperty(value = "同一产品同一版本号唯一主键")
    private String uuid;

    @ApiModelProperty(value = "产品通用名称")
    private String cpmctymc;

    @ApiModelProperty(value = "医疗器械注册备案人名称")
    private String ylqxzcrbarmc;

    @ApiModelProperty(value = "规格型号")
    private String ggxh;

    @ApiModelProperty(value = "统一社会信用代码", required = true)
    private String tyshxydm;

    @ApiModelProperty(value = "是否查询历史产品信息记录")
    private boolean showHis;

    @ApiModelProperty(value = "标识类型：1.主标识，2，使用单元标识，3.本体标识，4，包装标识")
    private String diType;

    @ApiModelProperty(value = "是否最新")
    private Integer isNewest;

    @ApiModelProperty(value = "注册/备案证号")
    private String zczbhhzbapzbh;

    @ApiModelProperty(value = "更新时间")
    private String updateTime;

}
