package com.glxp.udidl.admin.res;

import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;
import lombok.Data;

/**
 * 返回结果类
 *
 * @param <T>
 */
@Data
@ApiModel(value = "返回结果类")
public class BaseResponse<T> {

    public boolean success() {
        return this.code.equals(20000);
    }

    @ApiModelProperty(value = "状态码 成功：20000")
    private Integer code;

    @ApiModelProperty(value = "响应信息")
    private String message;

    @ApiModelProperty(value = "响应数据")
    private T data;
}
