package com.glxp.udidl.admin.service.inout;

import com.glxp.udidl.admin.entity.udi.ProductInfoEntity;
import com.glxp.udidl.admin.req.ProductInfoFilterRequest;

import java.util.List;

public interface ProductInfoService {


    //赋码用
    //获取产品名称通用名称
    List<ProductInfoEntity> filterCpmctymc(ProductInfoFilterRequest productInfoFilterRequest);

    List<ProductInfoEntity> filterProductInfo(ProductInfoFilterRequest productInfoFilterRequest);

    List<ProductInfoEntity> filterUdiByTyshxydm(ProductInfoFilterRequest productInfoFilterRequest);

    List<ProductInfoEntity> filterUdiByCreditNo(ProductInfoFilterRequest productInfoFilterRequest);

    List<ProductInfoEntity> filterUdiByNewest(ProductInfoFilterRequest productInfoFilterRequest);

    List<ProductInfoEntity> findAllByUuid(ProductInfoFilterRequest productInfoFilterRequest);

    List<ProductInfoEntity> filterUdi(ProductInfoFilterRequest productInfoFilterRequest);


    List<ProductInfoEntity> filterUdiNoPage(ProductInfoFilterRequest productInfoFilterRequest);

    Long filterUdiNoPageCount(ProductInfoFilterRequest productInfoFilterRequest);

    List<ProductInfoEntity> selectByUuid(String uuid);

    List<ProductInfoEntity> syncDlUdi(ProductInfoFilterRequest productInfoFilterRequest);

    List<ProductInfoEntity> findAll(ProductInfoFilterRequest productInfoFilterRequest);

    List<ProductInfoEntity> findLastVersion(ProductInfoFilterRequest productInfoFilterRequest);

    List<ProductInfoEntity> selectByUpdateTime(String startDate, String endDate);//按更新时间查询

    boolean insertProductInfo(ProductInfoEntity productInfoEntity);

    boolean updateProductByUuid(ProductInfoEntity productInfoEntity);

    boolean deleteById(String id);

    boolean deleteAll(List<String> ids);

    boolean updateProductInfo(ProductInfoEntity productInfoEntity);

    boolean updateCplx(ProductInfoEntity productInfoEntity);

    boolean updateProductInfoData(ProductInfoEntity productInfoEntity);

    boolean updateNoNewst(String deviceRecordKey,Boolean isNewst,Integer versionNum);
    boolean selectNewst(String deviceRecordKey,Boolean isNewst,Integer versionNum);
}
