package com.glxp.udidl.admin.service.inout.impl;

import com.github.pagehelper.PageHelper;
import com.glxp.udidl.admin.dao.udid.ContactlistMapper;
import com.glxp.udidl.admin.entity.udid.Contactlist;
import com.glxp.udidl.admin.req.DlConnactRequest;
import com.glxp.udidl.admin.service.inout.DlConnactService;
import org.springframework.stereotype.Service;

import javax.annotation.Resource;
import java.util.Collections;
import java.util.List;

@Service
public class DlConnactServiceImpl implements DlConnactService {


    @Resource
    private ContactlistMapper contactlistMapper;

    @Override
    public List<Contactlist> dlConnacts(DlConnactRequest dlConnactRequest) {
        if (dlConnactRequest == null) {
            return Collections.emptyList();
        }
        int offset = (dlConnactRequest.getPage() - 1) * dlConnactRequest.getLimit();
        PageHelper.offsetPage(offset, dlConnactRequest.getLimit());
        List<Contactlist> contactlists = contactlistMapper.dlConnacts(dlConnactRequest);
        return contactlists;
    }

}
