package com.glxp.udidl.admin.service.sys;

import com.glxp.udidl.admin.dto.sys.SysMenuModel;
import com.glxp.udidl.admin.req.sys.SysMenuRequest;
import com.glxp.udidl.admin.res.BaseResponse;

public interface SysMenuService {
    BaseResponse getMenuTree();

    BaseResponse getMenuTreeActive();

    BaseResponse insert(SysMenuModel model);

    BaseResponse update(SysMenuModel model);

    BaseResponse detail(Integer id);

    BaseResponse delete(Integer id);

    /**
     * 查询接口列表
     */
    BaseResponse getList(SysMenuRequest sysMenuRequest);
}
