package com.glxp.udidl.admin.service.tyapi;

import com.alibaba.fastjson.JSONObject;
import com.alibaba.fastjson.TypeReference;
import com.glxp.udidl.admin.res.BaseResponse;
import com.glxp.udidl.admin.util.OkHttpCli;
import org.springframework.beans.factory.annotation.Value;
import org.springframework.stereotype.Service;

import javax.annotation.Resource;
import java.util.HashMap;
import java.util.Map;

@Service
public class TyDlHttpClient {

    @Resource
    OkHttpCli okHttpCli;
    @Value("${TY_AUTHORIZATION}")
    String suthorization;

    String supplyUrl = "http://open.api.tianyancha.com/services/open/m/supply/2.0";
    String baseInfo = "http://open.api.tianyancha.com/services/open/ic/baseinfoV2/2.0";
    String contactUrl = "http://open.api.tianyancha.com/services/open/ic/contact";
    String openSearchUrl = "http://open.api.tianyancha.com/services/open/search/2.0";


    String[] headers = {"Authorization", suthorization};

    //获取供应商列表
    public void getSupplier() {
        Map<String, String> params = new HashMap<>();
        String response = okHttpCli.doGet(supplyUrl, params, headers);
        BaseResponse<String> baseResponse = JSONObject.parseObject(response, new TypeReference<BaseResponse<String>>() {
        });
        if (baseResponse.getCode() == 20000) {
        } else {
        }
    }

}
